# $Revision: 1.21 $, $Date: 2005/05/03 21:07:35 $
#
# Conditional build:
%bcond_without	gnome		# build without GNOME support
#
Summary:	Mail notification program
Summary(pl):	Program powiadamiajcy o nowej poczcie
Name:		gnubiff
Version:	2.1.3
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://heanet.dl.sourceforge.net/gnubiff/%{name}-%{version}.tar.gz
# Source0-md5:	4832f7d100b8f476082191a4c66a772f
URL:		http://gnubiff.sourceforge.net/
%{?with_gnome:BuildRequires:	GConf2-devel >= 2.4.0}
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
%{?with_gnome:BuildRequires:	gnome-panel-devel >= 2.4.0}
BuildRequires:	gtk+2-devel >= 2:2.4.3
BuildRequires:	intltool
BuildRequires:	libglade2-devel >= 1:2.4.0
BuildRequires:	libstdc++-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
Requires:	gtk+2 >= 2:2.4.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gnubiff is a mail notification program that checks for mail, displays
headers when new mail has arrived and allow to read first lines of new
mails.

%description -l pl
gnubiff jest programem powiadamiajcym, ktry sprawdza poczt,
wywietla nagwki i pozwala przeczyta pierwsze linie nowych listw.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_gnome:--disable-gnome} \
	--with-password

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# duplicates fr with no differences in translation
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/fr_FR
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/fr_CA
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_infodir}/*.info*
%{_mandir}/man1/%{name}.1*
%{_pixmapsdir}/*.png

%if %{with gnome}
%{_libdir}/bonobo/servers/*.server
%{_datadir}/gnome-*/ui/*.xml
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnubiff.spec,v $
Revision 1.21  2005/05/03 21:07:35  freetz
- 2.1.3

Revision 1.20  2005/02/28 21:51:15  qboosh
- s/osdn\.dl/dl/ in Source URL (osdn is no longer browsable)

Revision 1.19  2004/12/25 17:40:50  qboosh
- unified

Revision 1.18  2004/12/22 21:33:49  qboosh
- gpm-friendly Source0 URL

Revision 1.17  2004/12/22 21:24:41  adamg
- use osdn sourceforge.net mirror

Revision 1.16  2004/12/22 21:08:58  adamg
- updated to 2.1.0

Revision 1.15  2004/11/30 18:33:06  paladine
- updated to 2.0.3 (a lot of bug and security fixes)

Revision 1.14  2004/11/27 15:22:14  zbyniu
- BR: libstdc++-devel, pkgconfig

Revision 1.13  2004/10/20 14:58:03  freetz
- 2.0.2: A lot of bug have been fixed in this version
- gcc34 patch removed (already included)
- STBR

Revision 1.12  2004/09/19 21:59:50  ankry
- kill also fr_CA, rel. 3

Revision 1.11  2004/09/19 21:33:21  ankry
- remove fr_FR translation, rel. 2

Revision 1.10  2004/09/04 13:13:34  grzegol
- updated to 2.0.1
- removed outdated deprecated patch
- added gcc34 patch

Revision 1.9  2004/06/30 20:58:05  grzegol
- updated to 1.4.0

Revision 1.8  2004/04/07 14:34:31  adamg
- updated to 1.0.10

Revision 1.7  2004/03/19 23:46:26  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.6  2004/02/17 08:50:38  qboosh
- fixed bcond, typo in comment

Revision 1.5  2004/02/16 16:12:59  grzegol
- updated to 1.0.9
- added without_gnome bcond
- added deprecated patch (don't define GTK_DISABLE_DEPRECATED)
- regenerate intltool

Revision 1.4  2003/12/16 13:55:03  grzegol
- updated to 1.0.8
- removed outdated password_storage patch

Revision 1.3  2003/12/15 22:14:02  grzegol
- updated to 1.0.7
- removed outdated configure patch
- added password_storage patch (now password should be stored properly)

Revision 1.2  2003/12/13 12:43:52  grzegol
- updated to 1.0.6
- added --with password (note that password will be stored in config file)

Revision 1.1  2003/11/20 16:36:49  grzegol
- new
